import request from '@/utils/request'

// 查询医院竞争对手用户查看权限列表
export function listPower(query) {
  return request({
    url: '/mk/bo/power/list',
    method: 'get',
    params: query
  })
}

// 查询医院竞争对手用户查看权限详细
export function getPower(id) {
  return request({
    url: '/mk/bo/power/' + id,
    method: 'get'
  })
}

// 新增医院竞争对手用户查看权限
export function addPower(data) {
  return request({
    url: '/mk/bo/power',
    method: 'post',
    data: data
  })
}

// 修改医院竞争对手用户查看权限
export function updatePower(data) {
  return request({
    url: '/mk/bo/power',
    method: 'put',
    data: data
  })
}

// 删除医院竞争对手用户查看权限
export function delPower(ids) {
  return request({
    url: '/mk/bo/power/delete',
    method: 'post',
    data: ids
  })
}
